### Method

# GLib VariantType is_container

#### Declaration [src]

    gboolean
    g_variant_type_is_container (
      const GVariantType* type
    )

#### Description [src]

Determines if the given `type` is a container type.

Container types are any array, maybe, tuple, or dictionary entry types plus the variant type.

This function returns `TRUE` for any indefinite type for which every definite subtype is a container — `G_VARIANT_TYPE_ARRAY`, for example.

#### Return value

Type: `gboolean`

`TRUE` if `type` is a container type

Since 2.24